package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF0B6Data {

    private Map<String, Object> params;
    
    public MWF0B6Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsMaturity() {
        return (String) params.get("RS_MATURITY");
    }

    public Double rsInstalment() {
        return (Double) params.get("RS_INSTALMENT");
    }

    public Double rsInterestrate() {
        return (Double) params.get("RS_INTERESTRATE");
    }

    public String rsProductid() {
        return (String) params.get("RS_PRODUCTID");
    }

    public Long rsFixation() {
        return (Long) params.get("RS_FIXATION");
    }

    public Double rsFreeresources() {
        return (Double) params.get("RS_FREERESOURCES");
    }

    public Double rsPpiamount() {
        return (Double) params.get("RS_PPIAMOUNT");
    }

    public String rsCalctype() {
        return (String) params.get("RS_CALCTYPE");
    }

    public Double rsRpsn() {
        return (Double) params.get("RS_RPSN");
    }

    public Double rsCardif() {
        return (Double) params.get("RS_CARDIF");
    } 

}
